---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: gitlab
spec:
  template:
    spec:
      containers:
        - name: gitlab
          resources:
            limits:
              cpu: "4"
              memory: "8Gi"
            requests:
              cpu: "4"
              memory: "8Gi"